# Class ZooKeeperServerShutdownHandler

java.lang.Object
org.apache.zookeeper.server.ZooKeeperServerShutdownHandler

public final class ZooKeeperServerShutdownHandler extends Object
ZooKeeper server shutdown handler which will be used to handle ERROR or SHUTDOWN server state transitions, which in turn releases the associated shutdown latch.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(ZooKeeperServer.State state)`
This will be invoked when the server transition to a new server state.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### handle

public void handle(ZooKeeperServer.State state)
This will be invoked when the server transition to a new server state.

Parameters:
  `state` - new server state